GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::geomgraph::EdgeNodingValidator Class Reference

Validates that a collection of SegmentStrings is correctly noded. More...

`#include <EdgeNodingValidator.h>`

## Public Member Functions
| EdgeNodingValidator (std::vector< Edge * > &edges)
void | checkValid ()

## Static Public Member Functions
static void | checkValid (std::vector< Edge * > &edges)
| Checks whether the supplied Edges are correctly noded.

## Detailed Description

Validates that a collection of SegmentStrings is correctly noded.

Throws an appropriate exception if an noding error is found.

## Member Function Documentation

static void geos::geomgraph::EdgeNodingValidator::checkValid | ( | std::vector< Edge * > & | edges | ) |
| inline static

Checks whether the supplied Edges are correctly noded.

Throws a TopologyException if they are not.

Parameters

  edges | a collection of Edges.

Exceptions

  TopologyException | if the SegmentStrings are not correctly noded

References checkValid().

Referenced by checkValid().

The documentation for this class was generated from the following file:

- EdgeNodingValidator.h